getAnalyticsLogsStatusLog(data: GetAnalyticsLogsParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Get historical reported logs within a time range
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<GetAnalyticsLogsResult>
Includes dps (device DP data collection), hasNext (whether there is a next page), and total (total record count); each dps element is DpResult
Referenced Types
type
GetAnalyticsLogsResultPaginated log results. The response examples also include a `dpc` field that is not individually documented in the return parameter table.| Property | Type | Description |
|---|---|---|
dps | DpResult[] | Device DP data collection |
hasNext | boolean | Whether there is a next page of data |
total | number | Total record count |
Examples
Request example
Response example
Notes
- This API is a cloud capability and must be authorized before use. For details, see the cloud capability documentation. Cloud capabilities are not available in the
Developer Toolsenvironment; package the MiniApp or test on a real device. - To upgrade device log storage and unlock more features, visit Device log value-added service. After upgrading, follow the activation process after subscribing to device log storage. With upgraded storage, this API can retrieve more logs.
- If the
dpValueyou query is a numeric DP, convert it using the numeric DPscale(data is transmitted as a power of 10; for example, ifscaleis 1, divide by 10). If the raw value is343701andscaleis1, pass34370.1indpValues.